package wifi

import (
	"bufio"
	"os"
)

type WifiSSID struct {
	Ssid     string
	Psk      string
	Mgmt     string
	Priority int
}

const (
	path = "/etc/wifi/wpa_supplicant.conf"
)

func HasParied() (bool, error) {
	fd, err := os.Open(path)
	if err != nil {
		return false, err
	}
	defer fd.Close()

	rd := bufio.NewReader(fd)

	for {
		rd.ReadString('\n')
	}

	return false, nil
}
